explain_setbuffer_or_die(3)

NAME
explain_setbuffer_or_die - stream buffering operations and report errors

SYNOPSIS
#include <libexplain/setbuffer.h>

void explain_setbuffer_or_die(FILE *fp, char *data, size_t size);
void explain_setbuffer_on_error(FILE *fp, char *data, size_t size);

DESCRIPTION
The explain_setbuffer_or_die function is used to call the setbuffer(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setbuffer(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setbuffer_on_error function is used to call the setbuffer(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setbuffer(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the setbuffer(3) system call.

data
    The data, exactly as to be passed to the setbuffer(3) system call.

size
    The size, exactly as to be passed to the setbuffer(3) system call.

RETURN VALUE
The explain_setbuffer_or_die function only returns on success, see setbuffer(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setbuffer_on_error function always returns the value return by the wrapped setbuffer(3) system call.

EXAMPLE
The explain_setbuffer_or_die function is intended to be used in a fashion similar to the following example:
    void result = explain_setbuffer_or_die(fp, data, size);

SEE ALSO

setbuffer(3)
    stream buffering operations

explain_setbuffer(3)
    explain setbuffer(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller